package application;

import java.io.IOException;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.ColorPicker;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;

public class DialogFavoriteColorVBox extends VBox {
	
    @FXML
    private ColorPicker colorPicker;
    
    public Color getColor() {
    	return colorPicker.getValue();
    }

	public DialogFavoriteColorVBox() {
		FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("DialogFavoriteColorVBox.fxml"));
		fxmlLoader.setRoot(this);
		fxmlLoader.setController(this);
	       	
		try {
			fxmlLoader.load();
		} catch (IOException exception) {
			throw new RuntimeException(exception);
		}
		
	}

}
